# Install packages script
# Lew Harvey 12 January 2020

# This set of packages is to be installed on the lab computers
# in MUEN E311, D346 and E0046.
# It is useful for students to use R and RStudio on their own personal computer.
# It is useful after a fresh install of R and RStudio.
# On some occasions, after installing R packages
# you might need to restart RStudio for the packages to work properly.

# Install devtools package if necessary
if(!"devtools" %in% rownames(installed.packages())) install.packages("devtools")

# Basic packages for knitting Markdown Documents
install.packages(c("bitops",
                   "blogdown",
                   "bookdown",
                   "caTools",
                   "citr",
                   "gridExtra",
                   "kableExtra",
                   "knitr",
                   "png",
                   "RefManagR",
                   "rmarkdown",
                   "tinytex"),
                 dependencies = TRUE)

# Packages used in data analyses
install.packages(c("bootES",
                   "broom",
                   "colorscience",
                   "fBasics",
                   "foreach",
                   "ggalt",
                   "ggforce",
                   "ggfortify",
                   "ggpubr",
                   "ggthemes",
                   "lme4",
                   "lmerTest",
                   "magrittr",
                   "maxLik",
                   "nlme",
                   "plotrix",
                   "psych",
                   "reshape2",
                   "rgl",
                   "smacof",
                   "SpecHelpers",
                   "tidymodels",
                   "tidyverse"),
                 dependencies = TRUE)

# Packages  for Structural Equation modeling
install.packages(c("MplusAutomation",
                   "lavaan",
                   "OpenMx",
                   "sem"),
                 dependencies = TRUE)

# Install devtools package if necessary
if(!"devtools" %in% rownames(installed.packages())) install.packages("devtools")

# Install packages from from GitHub
if (!require("remotes")) install.packages("remotes", repos = "http://cran.rstudio.org")
remotes::install_github("rstudio/bookdown")
remotes::install_github("ismayc/thesisdown")
devtools::install_github("brentthorne/posterdown")
devtools::install_github("crsh/papaja")

